Skip to main content
POST
/
webhook-subscriptions
/
{webhook_subscription}
/
test
Send a test event to a webhook subscription
curl --request POST \
  --url https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/test \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/test"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.ezyshield.com.au/api/webhook-subscriptions/{webhook_subscription}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "status": "<string>",
      "type": "<string>",
      "webhook_url": "<string>",
      "payload": "<string>",
      "created_at": "<string>",
      "attempts_count": "<string>",
      "last_attempted_at": "<string>",
      "last_response_status_code": "<unknown>"
    },
    "relationships": {
      "attempts": {
        "data": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "attributes": {
        "status": "<string>",
        "attempt": "<string>",
        "created_at": "<string>",
        "response_status_code": "<unknown>"
      }
    }
  ]
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_subscription
string
required

The webhook subscription ID. Example: wh_sub_01jz8v2q4x...

Query Parameters

include
enum<string>[]
Available options:
attempts
fields[webhook-events]
enum<string>[]
Available options:
status,
type,
webhook_url,
payload,
created_at,
attempts_count,
last_attempted_at,
last_response_status_code
fields[webhook-event-attempts]
enum<string>[]
Available options:
status,
attempt,
created_at,
response_status_code

Response

WebhookEventResource

data
WebhookEventResource · object
required
included
WebhookEventAttemptResource · object[]